Application.boot(:authorization) do
  init do
    require 'cht-lib-fabric/helpers/graphql/http'
    require 'aws_account_status/clients/authorization_client'
  end

  start do
    use :logger
    use :wavefront

    uri = target[:settings].authorization_uri
    http = ::Platform::Helpers::GraphQL.http(uri)

    register('authorization') do
      ::AwsAccountStatus::Clients::AuthorizationClient.new(http)
    end
  end
end
