Application.boot(:integration_aws) do
  init do
    require 'cht-lib-fabric/helpers/graphql/http'
    require 'aws_account_status/clients/integration_aws_client'
  end

  start do
    use :logger
    use :wavefront

    uri = target[:settings].integration_aws_uri
    http = ::Platform::Helpers::GraphQL.http(uri)

    register('integration_aws') do
      ::AwsAccountStatus::Clients::IntegrationAwsClient.new(http)
    end
  end
end
