# frozen_string_literal: true

Application.boot(:rollbar, from: :platform) do
  configure do |config|
    settings = container[:settings]
    config.cht_pod = settings.pod_name
    config.k8s_pod = settings.k8s_pod.empty? ? nil : settings.k8s_pod
    config.environment = if settings.rollbar_env.empty?
                         then ENV['RACK_ENV']
                         else settings.rollbar_env
                         end
  end
end
